Удаление пакетов со странным набором зависимостей.

Руководства, вопросы, обсуждения
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот
Аватара пользователя

Автор темы
MrTowelie
Сообщения: 71
Зарегистрирован: 24 июл 2017, 06:01
Решено: 4
Благодарил (а): 4 раза
Поблагодарили: 15 раз

Удаление пакетов со странным набором зависимостей.

Сообщение MrTowelie » 11 авг 2019, 23:25

Тема больше любопытство, надо же разобраться в вопросе.
Устанавливал для теста версию Vulkan новее (114) с https://vulkan.lunarg.com/sdk/home . Проблем с установкой никаких не было. Однако при тестах обнаружил, что в играх текстуры некоторые стали мерцать. Ну и решил вернуться на старую верси из репозиториев ppa:ubuntu-x-swat/updates . Камнем на дороге стал пакет libvulkan1 (114-ой версии, а мне нужно было вернуть на 70-ый из других реп). Вроде бы ситуация проста, удалил этот пакет (и новые репы) и установил старый.
Однако, почему-то при попытке удалить пакет libvulkan1 он мне заявил, что снесет к чёрту почти весь kde на системе с частью приложений. Решил, что если снесет, то будет повод купить новый жесткий диск или SSD (ещё не определился) вместо моего очень старого HDD, который уже явно медлит. Ну и решил проверить как этот бред сработает, а как было написано так и сработал. Так что теперь выбор между жестким диском и SSD становится актуальным, но не суть, что-то выберем, наверное, всё-таки HDD ибо дешевле за гиг.
Собственно интересно как такое вообще происходит? Пакет, который установлен значительно позже системы, цепляется зависимостями при удалении к пакетам, которые с ним никак не связаны? Что вообще делать в случае необходимости удаления таких пакетов или замены их на старые версии?
Для меня это выглядит дикостью, что систему можно просто удалить из-за желания удалить свежеустановленный совершенно левый пакет, это явно не красит линукс увы.
И да, тут возможно будут писать про бэкапы, я прекрасно о них осведомлен. Можно сказать согласие с удалением было поводом купить новый жесткий диск.

Дополню, всё удаленное я легко восстановлю, поскольку консоль не закрыл и все удаленные пакеты записаны. Но суть темы это не меняет, а лишь откладывает необходимость обновить жескткий диск.
Ну и то, что творилось в консольке. (Синаптик предлагал такой же набор пакетов для удаления)

Код: Выделить всё

 sudo apt remove libvulkan1   
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Starting pkgProblemResolver with broken count: 3
Starting 2 pkgProblemResolver with broken count: 3
Investigating (0) libplacebo4:amd64 < 0.4.0-2 @ii mK Ib >
Broken libplacebo4:amd64 Зависит on libvulkan1:amd64 < 1.1.114.0~rc1-1lunarg18.04.1.1 @ii pmR >
  Considering libvulkan1:amd64 10003 as a solution to libplacebo4:amd64 3
  Removing libplacebo4:amd64 rather than change libvulkan1:amd64
Investigating (0) vulkan-utils:amd64 < 1.1.70+dfsg1-1ubuntu0.18.04.1 @ii mK Ib >
Broken vulkan-utils:amd64 Зависит on libvulkan1:amd64 < 1.1.114.0~rc1-1lunarg18.04.1.1 @ii pmR >
  Considering libvulkan1:amd64 10003 as a solution to vulkan-utils:amd64 0
  Removing vulkan-utils:amd64 rather than change libvulkan1:amd64
Investigating (0) mesa-vulkan-drivers:amd64 < 19.2~git1908100730.9c5975~oibaf~b -> 19.2~git1908111930.5ed4e3~oibaf~b @ii umU Ib >
Broken mesa-vulkan-drivers:amd64 Зависит on libvulkan1:amd64 < 1.1.114.0~rc1-1lunarg18.04.1.1 @ii pmR >
  Considering libvulkan1:amd64 10003 as a solution to mesa-vulkan-drivers:amd64 0
    Reinst Failed because of protected libvulkan1:amd64
  Removing mesa-vulkan-drivers:amd64 rather than change libvulkan1:amd64
Investigating (1) vlc-plugin-video-output:amd64 < 3.0.4-1ubuntu0.2 | 3.0.7.1-0ubuntu18.04.1 @ii umH Ib >
Broken vlc-plugin-video-output:amd64 Зависит on libplacebo4:amd64 < 0.4.0-2 @ii mR > (>= 0.4.0)
  Considering libplacebo4:amd64 3 as a solution to vlc-plugin-video-output:amd64 5
  Added libplacebo4:amd64 to the remove list
  Fixing vlc-plugin-video-output:amd64 via keep of libplacebo4:amd64
Investigating (1) libplacebo4:amd64 < 0.4.0-2 @ii mK Ib >
Broken libplacebo4:amd64 Зависит on libvulkan1:amd64 < 1.1.114.0~rc1-1lunarg18.04.1.1 @ii pmR >
  Considering libvulkan1:amd64 10003 as a solution to libplacebo4:amd64 3
  Removing libplacebo4:amd64 rather than change libvulkan1:amd64
Investigating (2) vlc-plugin-video-output:amd64 < 3.0.4-1ubuntu0.2 | 3.0.7.1-0ubuntu18.04.1 @ii umH Ib >
Broken vlc-plugin-video-output:amd64 Зависит on libplacebo4:amd64 < 0.4.0-2 @ii mR > (>= 0.4.0)
  Considering libplacebo4:amd64 3 as a solution to vlc-plugin-video-output:amd64 5
  Added libplacebo4:amd64 to the remove list
  Fixing vlc-plugin-video-output:amd64 via keep of libplacebo4:amd64
Investigating (2) libplacebo4:amd64 < 0.4.0-2 @ii mK Ib >
Broken libplacebo4:amd64 Зависит on libvulkan1:amd64 < 1.1.114.0~rc1-1lunarg18.04.1.1 @ii pmR >
  Considering libvulkan1:amd64 10003 as a solution to libplacebo4:amd64 5
  Removing libplacebo4:amd64 rather than change libvulkan1:amd64
Investigating (3) vlc-plugin-video-output:amd64 < 3.0.4-1ubuntu0.2 | 3.0.7.1-0ubuntu18.04.1 @ii umH Ib >
Broken vlc-plugin-video-output:amd64 Зависит on libplacebo4:amd64 < 0.4.0-2 @ii mR > (>= 0.4.0)
  Considering libplacebo4:amd64 10003 as a solution to vlc-plugin-video-output:amd64 5
    Reinst Failed because of libplacebo4:amd64
  Removing vlc-plugin-video-output:amd64 rather than change libplacebo4:amd64
Investigating (3) phonon-backend-vlc:amd64 < 0.10.2-1+18.04+bionic+build7 | 0.10.3-0xneon+18.04+bionic+build10 @ii umH Ib >
Broken phonon-backend-vlc:amd64 Зависит on vlc-plugin-video-output:amd64 < 3.0.4-1ubuntu0.2 | 3.0.7.1-0ubuntu18.04.1 @ii umR >
  Considering vlc-plugin-video-output:amd64 10003 as a solution to phonon-backend-vlc:amd64 1
    Reinst Failed because of vlc-plugin-video-output:amd64
  Removing phonon-backend-vlc:amd64 rather than change vlc-plugin-video-output:amd64
Investigating (3) vlc:amd64 < 3.0.4-1ubuntu0.2 | 3.0.7.1-0ubuntu18.04.1 @ii umH Ib >
Broken vlc:amd64 Зависит on vlc-plugin-video-output:amd64 < 3.0.4-1ubuntu0.2 | 3.0.7.1-0ubuntu18.04.1 @ii umR > (= 3.0.4-1ubuntu0.2)
  Considering vlc-plugin-video-output:amd64 10003 as a solution to vlc:amd64 0
  Re-Instated libvlccore9:amd64
  Re-Instated libvlc5:amd64
  Re-Instated libvlc-bin:amd64
  Re-Instated vlc-bin:amd64
  Re-Instated vlc-data:amd64
  Re-Instated vlc-plugin-base:amd64
  Re-Instated vlc-plugin-qt:amd64
    Reinst Failed because of vlc-plugin-video-output:amd64
  Removing vlc:amd64 rather than change vlc-plugin-video-output:amd64
Investigating (3) vlc-plugin-skins2:amd64 < 3.0.4-1ubuntu0.2 | 3.0.7.1-0ubuntu18.04.1 @ii umH Ib >
Broken vlc-plugin-skins2:amd64 Зависит on vlc-plugin-qt:amd64 < 3.0.4-1ubuntu0.2 -> 3.0.7.1-0ubuntu18.04.1 @ii umU > (= 3.0.4-1ubuntu0.2)
  Considering vlc-plugin-qt:amd64 1 as a solution to vlc-plugin-skins2:amd64 0
  Re-Instated vlc-plugin-skins2:amd64
Investigating (4) phonon4qt5-backend-vlc:amd64 < 0.10.2-1+18.04+bionic+build7 | 0.10.3-0xneon+18.04+bionic+build10 @ii umH Ib >
Broken phonon4qt5-backend-vlc:amd64 Зависит on vlc-plugin-video-output:amd64 < 3.0.4-1ubuntu0.2 | 3.0.7.1-0ubuntu18.04.1 @ii umR >
  Considering vlc-plugin-video-output:amd64 10003 as a solution to phonon4qt5-backend-vlc:amd64 15
    Reinst Failed because of vlc-plugin-video-output:amd64
  Removing phonon4qt5-backend-vlc:amd64 rather than change vlc-plugin-video-output:amd64
Investigating (4) phonon:amd64 < 4:4.10.2-0xneon+18.04+bionic+build5 | 4:4.10.3-0xneon+18.04+bionic+build7 @ii umH Ib >
Broken phonon:amd64 Зависит on phonon-backend-gstreamer:amd64 < none | 4:4.9.1-0xneon+18.04+bionic+build7 @un uH >
  Considering phonon-backend-gstreamer:amd64 1 as a solution to phonon:amd64 9
  Re-Instated libphonon4:amd64
  Re-Instated phonon-backend-gstreamer-common:amd64
  Re-Instated phonon-backend-gstreamer:amd64
  Re-Instated phonon:amd64
Investigating (5) phonon4qt5:amd64 < 4:4.10.2-0xneon+18.04+bionic+build5 | 4:4.10.3-0xneon+18.04+bionic+build7 @ii umH Ib >
Broken phonon4qt5:amd64 Зависит on phonon4qt5-backend-vlc:amd64 < 0.10.2-1+18.04+bionic+build7 | 0.10.3-0xneon+18.04+bionic+build10 @ii umR >
  Considering phonon4qt5-backend-vlc:amd64 10003 as a solution to phonon4qt5:amd64 47
  Re-Instated libphonon4qt5-4:amd64
    Reinst Failed because of phonon4qt5-backend-vlc:amd64
    Reinst Failed because of phonon4qt5-backend-vlc:amd64
Broken phonon4qt5:amd64 Зависит on phonon4qt5-backend:amd64 < none @un H >
  Considering phonon4qt5-backend-vlc:amd64 10003 as a solution to phonon4qt5:amd64 47
  Or group remove for phonon4qt5:amd64
Investigating (5) plasma-workspace:amd64 < 4:5.16.3-0xneon+18.04+bionic+build39 | 4:5.16.4-0xneon+18.04+bionic+build40 @ii umH Ib >
Broken plasma-workspace:amd64 Зависит on phonon4qt5:amd64 < 4:4.10.2-0xneon+18.04+bionic+build5 | 4:4.10.3-0xneon+18.04+bionic+build7 @ii umR >
  Considering phonon4qt5:amd64 47 as a solution to plasma-workspace:amd64 24
    Reinst Failed because of phonon4qt5:amd64
  Removing plasma-workspace:amd64 rather than change phonon4qt5:amd64
Investigating (5) libkf5notifyconfig5:amd64 < 5.60.0-0xneon+18.04+bionic+build30 @ii mK Ib >
Broken libkf5notifyconfig5:amd64 Зависит on phonon4qt5:amd64 < 4:4.10.2-0xneon+18.04+bionic+build5 | 4:4.10.3-0xneon+18.04+bionic+build7 @ii umR >
  Considering phonon4qt5:amd64 47 as a solution to libkf5notifyconfig5:amd64 19
  Removing libkf5notifyconfig5:amd64 rather than change phonon4qt5:amd64
Investigating (5) libkf5khtml5:amd64 < 5.60.0-0xneon+18.04+bionic+build31 @ii mK Ib >
Broken libkf5khtml5:amd64 Зависит on phonon4qt5:amd64 < 4:4.10.2-0xneon+18.04+bionic+build5 | 4:4.10.3-0xneon+18.04+bionic+build7 @ii umR >
  Considering phonon4qt5:amd64 47 as a solution to libkf5khtml5:amd64 15
  Removing libkf5khtml5:amd64 rather than change phonon4qt5:amd64
Investigating (5) kio-extras:amd64 < 4:19.04.3-0xneon+18.04+bionic+build30 @ii mK Ib >
Broken kio-extras:amd64 Зависит on libkf5khtml5:amd64 < 5.60.0-0xneon+18.04+bionic+build31 @ii mR >
  Considering libkf5khtml5:amd64 47 as a solution to kio-extras:amd64 15
  Removing kio-extras:amd64 rather than change libkf5khtml5:amd64
Investigating (5) plasma-desktop:amd64 < 4:5.16.3-0xneon+18.04+bionic+build52 | 4:5.16.4-0xneon+18.04+bionic+build53 @ii umH Ib >
Broken plasma-desktop:amd64 Зависит on plasma-workspace:amd64 < 4:5.16.3-0xneon+18.04+bionic+build39 | 4:5.16.4-0xneon+18.04+bionic+build40 @ii umR > (>= 4:5.14)
  Considering plasma-workspace:amd64 47 as a solution to plasma-desktop:amd64 6
  Re-Instated plasma-desktop-data:amd64
    Reinst Failed because of plasma-workspace:amd64
  Removing plasma-desktop:amd64 rather than change plasma-workspace:amd64
Investigating (5) libkf5khtml-bin:amd64 < 5.60.0-0xneon+18.04+bionic+build31 @ii mK Ib >
Broken libkf5khtml-bin:amd64 Зависит on libkf5khtml5:amd64 < 5.60.0-0xneon+18.04+bionic+build31 @ii mR >
  Considering libkf5khtml5:amd64 47 as a solution to libkf5khtml-bin:amd64 6
  Removing libkf5khtml-bin:amd64 rather than change libkf5khtml5:amd64
Investigating (5) libokular5core9:amd64 < 4:19.04.3-0xneon+18.04+bionic+build36 @ii mK Ib >
Broken libokular5core9:amd64 Зависит on phonon4qt5:amd64 < 4:4.10.2-0xneon+18.04+bionic+build5 | 4:4.10.3-0xneon+18.04+bionic+build7 @ii umR >
  Considering phonon4qt5:amd64 47 as a solution to libokular5core9:amd64 5
  Removing libokular5core9:amd64 rather than change phonon4qt5:amd64
Investigating (5) kinfocenter:amd64 < 4:5.16.3-0xneon+18.04+bionic+build33 | 4:5.16.4-0xneon+18.04+bionic+build34 @ii umH Ib >
Broken kinfocenter:amd64 Зависит on plasma-workspace:amd64 < 4:5.16.3-0xneon+18.04+bionic+build39 | 4:5.16.4-0xneon+18.04+bionic+build40 @ii umR > (>= 4:5.14)
  Considering plasma-workspace:amd64 47 as a solution to kinfocenter:amd64 4
    Reinst Failed because of plasma-workspace:amd64
  Removing kinfocenter:amd64 rather than change plasma-workspace:amd64
Investigating (5) systemsettings:amd64 < 4:5.16.3-0xneon+18.04+bionic+build39 | 4:5.16.4-0xneon+18.04+bionic+build40 @ii umH Ib >
Broken systemsettings:amd64 Зависит on libkf5khtml5:amd64 < 5.60.0-0xneon+18.04+bionic+build31 @ii mR >
  Considering libkf5khtml5:amd64 47 as a solution to systemsettings:amd64 4
    Reinst Failed because of libkf5khtml5:amd64
  Removing systemsettings:amd64 rather than change libkf5khtml5:amd64
Investigating (5) powerdevil:amd64 < 4:5.16.3-0xneon+18.04+bionic+build34 | 4:5.16.4-0xneon+18.04+bionic+build35 @ii umH Ib >
Broken powerdevil:amd64 Зависит on libkf5notifyconfig5:amd64 < 5.60.0-0xneon+18.04+bionic+build30 @ii mR >
  Considering libkf5notifyconfig5:amd64 47 as a solution to powerdevil:amd64 4
  Re-Instated powerdevil-data:amd64
    Reinst Failed because of libkf5notifyconfig5:amd64
  Removing powerdevil:amd64 rather than change libkf5notifyconfig5:amd64
Investigating (5) sddm-theme-breeze:amd64 < 4:5.16.3-0xneon+18.04+bionic+build39 | 4:5.16.4-0xneon+18.04+bionic+build40 @ii umH Ib >
Broken sddm-theme-breeze:amd64 Зависит on plasma-workspace:amd64 < 4:5.16.3-0xneon+18.04+bionic+build39 | 4:5.16.4-0xneon+18.04+bionic+build40 @ii umR >
  Considering plasma-workspace:amd64 47 as a solution to sddm-theme-breeze:amd64 3
    Reinst Failed because of plasma-workspace:amd64
  Removing sddm-theme-breeze:amd64 rather than change plasma-workspace:amd64
Investigating (5) khelpcenter:amd64 < 4:19.04.3-0xneon+18.04+bionic+build20 @ii mK Ib >
Broken khelpcenter:amd64 Зависит on libkf5khtml5:amd64 < 5.60.0-0xneon+18.04+bionic+build31 @ii mR >
  Considering libkf5khtml5:amd64 47 as a solution to khelpcenter:amd64 3
  Removing khelpcenter:amd64 rather than change libkf5khtml5:amd64
Investigating (5) okular-extra-backends:amd64 < 4:19.04.3-0xneon+18.04+bionic+build36 @ii mK Ib >
Broken okular-extra-backends:amd64 Зависит on libkf5khtml5:amd64 < 5.60.0-0xneon+18.04+bionic+build31 @ii mR >
  Considering libkf5khtml5:amd64 47 as a solution to okular-extra-backends:amd64 3
  Removing okular-extra-backends:amd64 rather than change libkf5khtml5:amd64
Investigating (5) okular:amd64 < 4:19.04.3-0xneon+18.04+bionic+build36 @ii mK Ib >
Broken okular:amd64 Зависит on libokular5core9:amd64 < 4:19.04.3-0xneon+18.04+bionic+build36 @ii mR > (= 4:19.04.3-0xneon+18.04+bionic+build36)
  Considering libokular5core9:amd64 47 as a solution to okular:amd64 3
  Removing okular:amd64 rather than change libokular5core9:amd64
Investigating (5) libkf5compactdisc5:amd64 < 4:19.04.3-0xneon+18.04+bionic+build20 @ii mK Ib >
Broken libkf5compactdisc5:amd64 Зависит on phonon4qt5:amd64 < 4:4.10.2-0xneon+18.04+bionic+build5 | 4:4.10.3-0xneon+18.04+bionic+build7 @ii umR >
  Considering phonon4qt5:amd64 47 as a solution to libkf5compactdisc5:amd64 2
  Removing libkf5compactdisc5:amd64 rather than change phonon4qt5:amd64
Investigating (5) konsole:amd64 < 4:19.04.3-0xneon+18.04+bionic+build21 @ii mK Ib >
Broken konsole:amd64 Зависит on libkf5notifyconfig5:amd64 < 5.60.0-0xneon+18.04+bionic+build30 @ii mR >
  Considering libkf5notifyconfig5:amd64 47 as a solution to konsole:amd64 2
  Removing konsole:amd64 rather than change libkf5notifyconfig5:amd64
Investigating (5) kio-audiocd:amd64 < 4:19.04.3-0xneon+18.04+bionic+build21 @ii mK Ib >
Broken kio-audiocd:amd64 Зависит on libkf5compactdisc5:amd64 < 4:19.04.3-0xneon+18.04+bionic+build20 @ii mR >
  Considering libkf5compactdisc5:amd64 47 as a solution to kio-audiocd:amd64 2
  Removing kio-audiocd:amd64 rather than change libkf5compactdisc5:amd64
Investigating (5) ktorrent:amd64 < 5.1.1-0xneon+18.04+bionic+build12 | 5.1.1-0xneon+18.04+bionic+build13 @ii umH Ib >
Broken ktorrent:amd64 Зависит on libkf5notifyconfig5:amd64 < 5.60.0-0xneon+18.04+bionic+build30 @ii mR >
  Considering libkf5notifyconfig5:amd64 47 as a solution to ktorrent:amd64 2
  Re-Instated ktorrent-data:amd64
    Reinst Failed because of libkf5notifyconfig5:amd64
  Removing ktorrent:amd64 rather than change libkf5notifyconfig5:amd64
Investigating (5) gwenview:amd64 < 4:19.04.3-0xneon+18.04+bionic+build29 @ii mK Ib >
Broken gwenview:amd64 Зависит on phonon4qt5:amd64 < 4:4.10.2-0xneon+18.04+bionic+build5 | 4:4.10.3-0xneon+18.04+bionic+build7 @ii umR >
  Considering phonon4qt5:amd64 47 as a solution to gwenview:amd64 1
  Removing gwenview:amd64 rather than change phonon4qt5:amd64
Investigating (5) dolphin:amd64 < 4:19.04.3-0xneon+18.04+bionic+build24 @ii mK Ib >
Broken dolphin:amd64 Зависит on phonon4qt5:amd64 < 4:4.10.2-0xneon+18.04+bionic+build5 | 4:4.10.3-0xneon+18.04+bionic+build7 @ii umR >
  Considering phonon4qt5:amd64 47 as a solution to dolphin:amd64 1
  Removing dolphin:amd64 rather than change phonon4qt5:amd64
Investigating (5) plasma-widgets-addons:amd64 < 4:5.16.3-0xneon+18.04+bionic+build33 | 4:5.16.4-0xneon+18.04+bionic+build34 @ii umH Ib >
Broken plasma-widgets-addons:amd64 Зависит on plasma-workspace:amd64 < 4:5.16.3-0xneon+18.04+bionic+build39 | 4:5.16.4-0xneon+18.04+bionic+build40 @ii umR >
  Considering plasma-workspace:amd64 47 as a solution to plasma-widgets-addons:amd64 1
  Re-Instated kdeplasma-addons-data:amd64
  Re-Instated plasma-dataengines-addons:amd64
    Reinst Failed because of plasma-workspace:amd64
  Removing plasma-widgets-addons:amd64 rather than change plasma-workspace:amd64
Investigating (5) plasma-workspace-wayland:amd64 < 4:5.16.3-0xneon+18.04+bionic+build39 | 4:5.16.4-0xneon+18.04+bionic+build40 @ii umH Ib >
Broken plasma-workspace-wayland:amd64 Зависит on plasma-workspace:amd64 < 4:5.16.3-0xneon+18.04+bionic+build39 | 4:5.16.4-0xneon+18.04+bionic+build40 @ii umR > (= 4:5.16.3-0xneon+18.04+bionic+build39)
  Considering plasma-workspace:amd64 47 as a solution to plasma-workspace-wayland:amd64 1
    Reinst Failed because of plasma-workspace:amd64
  Removing plasma-workspace-wayland:amd64 rather than change plasma-workspace:amd64
Investigating (5) plasma-wallpapers-addons:amd64 < 4:5.16.3-0xneon+18.04+bionic+build33 | 4:5.16.4-0xneon+18.04+bionic+build34 @ii umH Ib >
Broken plasma-wallpapers-addons:amd64 Зависит on kdeplasma-addons-data:amd64 < 4:5.16.3-0xneon+18.04+bionic+build33 -> 4:5.16.4-0xneon+18.04+bionic+build34 @ii umU > (= 4:5.16.3-0xneon+18.04+bionic+build33)
  Considering kdeplasma-addons-data:amd64 13 as a solution to plasma-wallpapers-addons:amd64 1
  Re-Instated plasma-wallpapers-addons:amd64
Investigating (5) plasma-runners-addons:amd64 < 4:5.16.3-0xneon+18.04+bionic+build33 | 4:5.16.4-0xneon+18.04+bionic+build34 @ii umH Ib >
Broken plasma-runners-addons:amd64 Зависит on kdeplasma-addons-data:amd64 < 4:5.16.3-0xneon+18.04+bionic+build33 -> 4:5.16.4-0xneon+18.04+bionic+build34 @ii umU > (= 4:5.16.3-0xneon+18.04+bionic+build33)
  Considering kdeplasma-addons-data:amd64 13 as a solution to plasma-runners-addons:amd64 1
  Re-Instated plasma-runners-addons:amd64
Investigating (5) yakuake:amd64 < 3.0.5-1+18.04+bionic+build8 @ii mK Ib >
Broken yakuake:amd64 Зависит on libkf5notifyconfig5:amd64 < 5.60.0-0xneon+18.04+bionic+build30 @ii mR >
  Considering libkf5notifyconfig5:amd64 47 as a solution to yakuake:amd64 0
  Removing yakuake:amd64 rather than change libkf5notifyconfig5:amd64
Investigating (5) neon-desktop:amd64 < 4+p18.04+git20190625.1115 @ii mK Ib >
Broken neon-desktop:amd64 Зависит on kinfocenter:amd64 < 4:5.16.3-0xneon+18.04+bionic+build33 | 4:5.16.4-0xneon+18.04+bionic+build34 @ii umR >
  Considering kinfocenter:amd64 47 as a solution to neon-desktop:amd64 0
  Removing neon-desktop:amd64 rather than change kinfocenter:amd64
Investigating (5) dragonplayer:amd64 < 4:19.04.3-0xneon+18.04+bionic+build27 @ii mK Ib >
Broken dragonplayer:amd64 Зависит on phonon4qt5:amd64 < 4:4.10.2-0xneon+18.04+bionic+build5 | 4:4.10.3-0xneon+18.04+bionic+build7 @ii umR >
  Considering phonon4qt5:amd64 47 as a solution to dragonplayer:amd64 0
  Removing dragonplayer:amd64 rather than change phonon4qt5:amd64
Investigating (6) kdemultimedia-kio-plugins:amd64 < 4:17.12.3-0ubuntu1 @ii mK Ib >
Broken kdemultimedia-kio-plugins:amd64 Зависит on kio-audiocd:amd64 < 4:19.04.3-0xneon+18.04+bionic+build21 @ii mR >
  Considering kio-audiocd:amd64 47 as a solution to kdemultimedia-kio-plugins:amd64 3
  Removing kdemultimedia-kio-plugins:amd64 rather than change kio-audiocd:amd64
Investigating (6) plasma-calendar-addons:amd64 < 4:5.16.3-0xneon+18.04+bionic+build33 | 4:5.16.4-0xneon+18.04+bionic+build34 @ii umH Ib >
Broken plasma-calendar-addons:amd64 Зависит on kdeplasma-addons-data:amd64 < 4:5.16.3-0xneon+18.04+bionic+build33 -> 4:5.16.4-0xneon+18.04+bionic+build34 @ii umU > (= 4:5.16.3-0xneon+18.04+bionic+build33)
  Considering kdeplasma-addons-data:amd64 13 as a solution to plasma-calendar-addons:amd64 1
  Re-Instated plasma-calendar-addons:amd64
Investigating (6) kwin-addons:amd64 < 4:5.16.3-0xneon+18.04+bionic+build33 | 4:5.16.4-0xneon+18.04+bionic+build34 @ii umH Ib >
Broken kwin-addons:amd64 Зависит on kdeplasma-addons-data:amd64 < 4:5.16.3-0xneon+18.04+bionic+build33 -> 4:5.16.4-0xneon+18.04+bionic+build34 @ii umU > (= 4:5.16.3-0xneon+18.04+bionic+build33)
  Considering kdeplasma-addons-data:amd64 13 as a solution to kwin-addons:amd64 1
  Re-Instated kwin-addons:amd64
Done
Следующие пакеты устанавливались автоматически и больше не требуются:
  appmenu-gtk-module-common appmenu-gtk2-module appmenu-gtk3-module breeze-gtk-theme drkonqi fonts-freefont-ttf fonts-wine gir1.2-appindicator3-0.1 gir1.2-gtk-vnc-2.0 gir1.2-libosinfo-1.0
  gir1.2-libvirt-glib-1.0 gir1.2-spiceclientglib-2.0 gir1.2-spiceclientgtk-3.0 gir1.2-vte-2.91 glslang-dev glslang-tools gtk2-engines-pixbuf gtk3-engines-breeze ieee-data kamera kde-style-oxygen-qt5
  kded5 kdoctools5 kgamma5 kio-extras-data ktorrent-data lame liba52-0.7.4 libappimage0 libappindicator3-1 libappmenu-gtk2-parser0 libappmenu-gtk3-parser0 libaribb24-0 libass9
  libbasicusageenvironment1 libcddb2 libcfitsio5 libchm1 libcolorcorrect5 libdc1394-22 libdca0 libdee-1.0-4 libdmtx0a libdolphinvcs5 libdvbpsi10 libdvdnav4 libdvdread4 libebml4v5 libegl-mesa0:i386
  libegl1:i386 libevdev-dev libexiv2-26 libfaad2 libgbm1:i386 libgl1-mesa-dev libgles1 libgles2 libglib2.0-dev libglib2.0-dev-bin libglu1-mesa-dev libglvnd-core-dev libglvnd-dev libgovirt-common
  libgovirt2 libgps23 libgrantlee-templates5 libgroupsock8 libgtk-vnc-2.0-0 libgtop-2.0-11 libgtop2-common libgvnc-1.0-0 libibus-1.0-5 libindicator3-7 libinput-dev libkate1 libkdecorations2private5v5
  libkf5activitiesstats1 libkf5baloowidgets-bin libkf5baloowidgets5 libkf5cddb5 libkf5dnssd-data libkf5dnssd5 libkf5emoticons-bin libkf5emoticons-data libkf5emoticons5 libkf5js5 libkf5jsapi5
  libkf5jsembed-data libkf5jsembed5 libkf5khtml-data libkf5kipi-data libkf5kipi32.0.0 libkf5notifyconfig-data libkf5people-data libkf5people5 libkf5peoplebackend5 libkf5peoplewidgets5 libkf5plotting5
  libkf5prison5 libkf5syndication5 libkf5torrent6 libkf5webkit5 libkf5xmlrpcclient-data libkf5xmlrpcclient5 libkfontinst5 libkfontinstui5 libktorrent-l10n liblirc-client0 liblivemedia62 libllvm7
  libllvm7:i386 libllvm9 liblua5.2-0 libmad0 libmarkdown2 libmatroska6v5 libmicrodns0 libmpcdec6 libmpeg2-4 libmtdev-dev libmusicbrainz5cc2v5 libnfs11 libnotificationmanager1 libopengl0
  libopenmpt-modplug1 libosinfo-1.0-0 liboxygenstyle5-5 liboxygenstyleconfig5-5 libpam-kwallet-common libpam-kwallet5 libpcre16-3 libpcre3-dev libpcre32-3 libpcrecpp0v5 libphodav-2.0-0
  libphodav-2.0-common libphonon4qt5-4 libplasma-geolocation-interface5 libpostproc54 libpowerdevilcore2 libpowerdevilui5 libprotobuf-lite10 libproxy-tools libqalculate14 libqalculate14-data
  libqmobipocket2 libqrencode3 libqt5concurrent5 libqt5webengine5 libqt5webkit5 libresid-builder0c2a libscim8v5 libsdl-image1.2 libsidplay2 libspectre1 libspice-client-glib-2.0-8
  libspice-client-gtk-3.0-5 libsquashfuse0 libssh-4 libtaskmanager6 libudev-dev libunity-protocol-private0 libunity-scopes-json-def-desktop libunity9 libupnp6 libusageenvironment3 libusbredirhost1
  libva-wayland2 libvirt-glib-1.0-0 libvlc-bin libvlc5 libvlccore9 libwacom-dev libwayland-egl1-mesa:i386 libwayland-server0:i386 libweather-ion7 libwine libwine:i386 libx11-xcb-dev libxcb-dpms0
  libxcb-dri2-0-dev libxcb-dri3-dev libxcb-ewmh2 libxcb-glx0-dev libxcb-present-dev libxcb-randr0-dev libxcb-record0 libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev libxcb-xfixes0:i386
  libxcb-xfixes0-dev libxcb-xv0 libxdamage-dev libxfixes-dev libxkbcommon-dev libxnvctrl0 libxshmfence-dev libxxf86vm-dev linux-headers-4.15.0-43 linux-headers-4.15.0-43-generic
  linux-headers-4.15.0-45 linux-headers-4.15.0-45-generic linux-headers-4.15.0-47 linux-headers-4.15.0-47-generic linux-image-4.15.0-43-generic linux-image-4.15.0-45-generic
  linux-image-4.15.0-47-generic linux-modules-4.15.0-43-generic linux-modules-4.15.0-45-generic linux-modules-4.15.0-47-generic linux-modules-extra-4.15.0-43-generic
  linux-modules-extra-4.15.0-45-generic linux-modules-extra-4.15.0-47-generic mesa-common-dev osinfo-db plasma-desktop-data plasma-integration plasma-workspace-wallpapers powerdevil-data
  psensor-common python-asn1crypto python-certifi python-cffi-backend python-chardet python-cryptography python-dbus python-enum34 python-gi python-gi-cairo python-idna python-ipaddr python-ipaddress
  python-libvirt python-libxml2 python-openssl python-pkg-resources python-requests python-six python-urllib3 qdbus-qt5 qml-module-org-kde-activities qml-module-org-kde-extensionplugin
  qml-module-org-kde-kholidays qml-module-org-kde-kwindowsystem qml-module-org-kde-solid qml-module-qt-labs-folderlistmodel qml-module-qt-labs-settings qml-module-qtwebengine qml-module-qtwebkit
  qtbase5-dev-tools sddm shaderc sni-qt socat spice-client-glib-usb-acl-helper spirv-headers spirv-tools virt-viewer virtinst vlc-bin vlc-data vlc-l10n vlc-plugin-base vlc-plugin-notify vlc-plugin-qt
  vlc-plugin-samba vlc-plugin-skins2 vlc-plugin-video-splitter vlc-plugin-visualization wine32:i386 wine64 x11proto-damage-dev x11proto-fixes-dev x11proto-xf86vidmode-dev
Для их удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
  kdeplasma-addons-data ktorrent-data kwin-addons libphonon4 libphonon4qt5-4 libvlc-bin libvlc5 libvlccore9 phonon phonon-backend-gstreamer phonon-backend-gstreamer-common plasma-calendar-addons
  plasma-dataengines-addons plasma-desktop-data plasma-runners-addons plasma-wallpapers-addons powerdevil-data vlc-bin vlc-data vlc-plugin-base vlc-plugin-qt vlc-plugin-skins2
Предлагаемые пакеты:
  phonon-backend-vlc gstreamer1.0-plugins-ugly phonon4qt5-backend-gstreamer libdvdcss2
Рекомендуемые пакеты:
  ktorrent plasma-workspace
Следующие пакеты будут УДАЛЕНЫ:
  dolphin dragonplayer gwenview kdemultimedia-kio-plugins khelpcenter kinfocenter kio-audiocd kio-extras konsole ktorrent libkf5compactdisc5 libkf5khtml-bin libkf5khtml5 libkf5notifyconfig5
  libokular5core9 libplacebo4 libvulkan1 mesa-vulkan-drivers neon-desktop okular okular-extra-backends phonon-backend-vlc phonon4qt5 phonon4qt5-backend-vlc plasma-desktop plasma-widgets-addons
  plasma-workspace plasma-workspace-wayland powerdevil sddm-theme-breeze systemsettings vlc vlc-plugin-video-output vulkan-utils yakuake
Следующие НОВЫЕ пакеты будут установлены:
  phonon-backend-gstreamer phonon-backend-gstreamer-common
Следующие пакеты будут обновлены:
  kdeplasma-addons-data ktorrent-data kwin-addons libphonon4 libphonon4qt5-4 libvlc-bin libvlc5 libvlccore9 phonon plasma-calendar-addons plasma-dataengines-addons plasma-desktop-data
  plasma-runners-addons plasma-wallpapers-addons powerdevil-data vlc-bin vlc-data vlc-plugin-base vlc-plugin-qt vlc-plugin-skins2
Обновлено 20 пакетов, установлено 2 новых пакетов, для удаления отмечено 35 пакетов, и 177 пакетов не обновлено.
Необходимо скачать 17,8 MB архивов.
После данной операции объём занятого дискового пространства уменьшится на 142 MB.
Хотите продолжить? [Д/н] y
Пол:1 http://archive.neon.kde.org/user bionic/main amd64 phonon-backend-gstreamer amd64 4:4.9.1-0xneon+18.04+bionic+build7 [126 kB]
Пол:2 http://ru.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libvlccore9 amd64 3.0.7.1-0ubuntu18.04.1 [434 kB]
Пол:3 http://archive.neon.kde.org/user bionic/main amd64 phonon-backend-gstreamer-common amd64 4:4.9.1-0xneon+18.04+bionic+build7 [13,5 kB]
Пол:4 http://archive.neon.kde.org/user bionic/main amd64 libphonon4 amd64 4:4.10.3-0xneon+18.04+bionic+build7 [161 kB]
Пол:5 http://archive.neon.kde.org/user bionic/main amd64 plasma-wallpapers-addons amd64 4:5.16.4-0xneon+18.04+bionic+build34 [30,0 kB]
Пол:6 http://archive.neon.kde.org/user bionic/main amd64 plasma-runners-addons amd64 4:5.16.4-0xneon+18.04+bionic+build34 [92,9 kB]
Пол:7 http://archive.neon.kde.org/user bionic/main amd64 plasma-desktop-data all 4:5.16.4-0xneon+18.04+bionic+build53 [9 461 kB]
Пол:8 http://ru.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libvlc5 amd64 3.0.7.1-0ubuntu18.04.1 [67,9 kB]
Пол:9 http://ru.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 vlc-bin amd64 3.0.7.1-0ubuntu18.04.1 [53,3 kB]
Пол:10 http://ru.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libvlc-bin amd64 3.0.7.1-0ubuntu18.04.1 [17,1 kB]
Пол:11 http://ru.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 vlc-plugin-base amd64 3.0.7.1-0ubuntu18.04.1 [2 899 kB]
Пол:12 http://ru.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 vlc-plugin-skins2 amd64 3.0.7.1-0ubuntu18.04.1 [468 kB]
Пол:13 http://ru.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 vlc-plugin-qt amd64 3.0.7.1-0ubuntu18.04.1 [1 049 kB]
Пол:14 http://ru.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 vlc-data all 3.0.7.1-0ubuntu18.04.1 [338 kB]
Пол:15 http://archive.neon.kde.org/user bionic/main amd64 plasma-dataengines-addons amd64 4:5.16.4-0xneon+18.04+bionic+build34 [120 kB]
Пол:16 http://archive.neon.kde.org/user bionic/main amd64 plasma-calendar-addons amd64 4:5.16.4-0xneon+18.04+bionic+build34 [21,2 kB]
Пол:17 http://archive.neon.kde.org/user bionic/main amd64 kwin-addons amd64 4:5.16.4-0xneon+18.04+bionic+build34 [25,2 kB]
Пол:18 http://archive.neon.kde.org/user bionic/main amd64 kdeplasma-addons-data all 4:5.16.4-0xneon+18.04+bionic+build34 [269 kB]
Пол:19 http://archive.neon.kde.org/user bionic/main amd64 ktorrent-data all 5.1.1-0xneon+18.04+bionic+build13 [1 495 kB]
Пол:20 http://archive.neon.kde.org/user bionic/main amd64 libphonon4qt5-4 amd64 4:4.10.3-0xneon+18.04+bionic+build7 [164 kB]
Пол:21 http://archive.neon.kde.org/user bionic/main amd64 phonon amd64 4:4.10.3-0xneon+18.04+bionic+build7 [17,1 kB]
Пол:22 http://archive.neon.kde.org/user bionic/main amd64 powerdevil-data all 4:5.16.4-0xneon+18.04+bionic+build35 [525 kB]
Получено 17,8 MB за 5с (3 252 kB/s)        
Предварительная настройка пакетов ...
(Чтение базы данных … на данный момент установлено 352916 файлов и каталогов.)
Удаляется dolphin (4:19.04.3-0xneon+18.04+bionic+build24) …
Удаляется dragonplayer (4:19.04.3-0xneon+18.04+bionic+build27) …
Удаляется gwenview (4:19.04.3-0xneon+18.04+bionic+build29) …
Удаляется kdemultimedia-kio-plugins (4:17.12.3-0ubuntu1) …
Удаляется khelpcenter (4:19.04.3-0xneon+18.04+bionic+build20) …
Удаляется neon-desktop (4+p18.04+git20190625.1115) …
Удаляется kinfocenter (4:5.16.3-0xneon+18.04+bionic+build33) …
Удаляется kio-audiocd (4:19.04.3-0xneon+18.04+bionic+build21) …
Удаляется kio-extras (4:19.04.3-0xneon+18.04+bionic+build30) …
Удаляется konsole (4:19.04.3-0xneon+18.04+bionic+build21) …
update-alternatives: используется /usr/bin/lxterm для предоставления /usr/bin/x-terminal-emulator (x-terminal-emulator) в автоматическом режиме
Удаляется ktorrent (5.1.1-0xneon+18.04+bionic+build12) …
Удаляется libkf5compactdisc5 (4:19.04.3-0xneon+18.04+bionic+build20) …
Удаляется libkf5khtml-bin (5.60.0-0xneon+18.04+bionic+build31) …
Удаляется systemsettings (4:5.16.3-0xneon+18.04+bionic+build39) …
Удаляется okular-extra-backends (4:19.04.3-0xneon+18.04+bionic+build36) …
Удаляется libkf5khtml5:amd64 (5.60.0-0xneon+18.04+bionic+build31) …
Удаляется yakuake (3.0.5-1+18.04+bionic+build8) …
Удаляется powerdevil (4:5.16.3-0xneon+18.04+bionic+build34) …
Удаляется okular (4:19.04.3-0xneon+18.04+bionic+build36) …
Удаляется libokular5core9 (4:19.04.3-0xneon+18.04+bionic+build36) …
Удаляется sddm-theme-breeze (4:5.16.3-0xneon+18.04+bionic+build39) …
dpkg: предупреждение: при удалении sddm-theme-breeze каталог «/usr/share/sddm/themes» не пуст, поэтому не удалён
Удаляется plasma-workspace-wayland (4:5.16.3-0xneon+18.04+bionic+build39) …
Удаляется plasma-desktop (4:5.16.3-0xneon+18.04+bionic+build52) …
dpkg: libkf5notifyconfig5:amd64: имеются проблемы с зависимостями, но по вашему указанию
он всё равно будет удалён:
 plasma-workspace зависит от libkf5notifyconfig5, однако:
  Пакет libkf5notifyconfig5:amd64 будет удалён.

Удаляется libkf5notifyconfig5:amd64 (5.60.0-0xneon+18.04+bionic+build30) …
dpkg: plasma-workspace: имеются проблемы с зависимостями, но по вашему указанию
он всё равно будет удалён:
 plasma-widgets-addons зависит от plasma-workspace.

Удаляется plasma-workspace (4:5.16.3-0xneon+18.04+bionic+build39) …
Удаляется phonon4qt5:amd64 (4:4.10.2-0xneon+18.04+bionic+build5) …
Удаляется phonon4qt5-backend-vlc:amd64 (0.10.2-1+18.04+bionic+build7) …
Выбор ранее не выбранного пакета phonon-backend-gstreamer:amd64.
(Чтение базы данных … на данный момент установлено 343703 файла и каталога.)
Подготовка к распаковке …/phonon-backend-gstreamer_4%3a4.9.1-0xneon+18.04+bionic+build7_amd64.deb …
Распаковывается phonon-backend-gstreamer:amd64 (4:4.9.1-0xneon+18.04+bionic+build7) …
(Чтение базы данных … на данный момент установлено 343707 файлов и каталогов.)
Удаляется vlc (3.0.4-1ubuntu0.2) …
Удаляется mesa-vulkan-drivers:amd64 (19.2~git1908100730.9c5975~oibaf~b) …
Удаляется vulkan-utils (1.1.70+dfsg1-1ubuntu0.18.04.1) …
dpkg: libplacebo4:amd64: имеются проблемы с зависимостями, но по вашему указанию
он всё равно будет удалён:
 vlc-plugin-video-output:amd64 зависит от libplacebo4 (>= 0.4.0).

Удаляется libplacebo4:amd64 (0.4.0-2) …
Удаляется libvulkan1:amd64 (1.1.114.0~rc1-1lunarg18.04.1.1) …
dpkg: phonon-backend-vlc:amd64: имеются проблемы с зависимостями, но по вашему указанию
он всё равно будет удалён:
 phonon:amd64 зависит от phonon-backend-gstreamer | phonon-backend, однако:
  Пакет phonon-backend-gstreamer:amd64 пока не настроен.
  Пакет phonon-backend не установлен.
  Пакет phonon-backend-vlc:amd64 предоставляет phonon-backend, но должен быть удалён.
  Пакет phonon-backend-gstreamer:amd64, предоставляющий phonon-backend, пока не настроен.

Удаляется phonon-backend-vlc:amd64 (0.10.2-1+18.04+bionic+build7) …
Удаляется vlc-plugin-video-output:amd64 (3.0.4-1ubuntu0.2) …
Выбор ранее не выбранного пакета phonon-backend-gstreamer-common:amd64.
(Чтение базы данных … на данный момент установлено 343611 файлов и каталогов.)
Подготовка к распаковке …/phonon-backend-gstreamer-common_4%3a4.9.1-0xneon+18.04+bionic+build7_amd64.deb …
Распаковывается phonon-backend-gstreamer-common:amd64 (4:4.9.1-0xneon+18.04+bionic+build7) …
Подготовка к распаковке …/libphonon4_4%3a4.10.3-0xneon+18.04+bionic+build7_amd64.deb …
Распаковывается libphonon4:amd64 (4:4.10.3-0xneon+18.04+bionic+build7) на замену (4:4.10.2-0xneon+18.04+bionic+build5) …
(Чтение базы данных … на данный момент установлено 343619 файлов и каталогов.)
Удаляется plasma-widgets-addons (4:5.16.3-0xneon+18.04+bionic+build33) …
(Чтение базы данных … на данный момент установлено 343292 файла и каталога.)
Подготовка к распаковке …/00-plasma-wallpapers-addons_4%3a5.16.4-0xneon+18.04+bionic+build34_amd64.deb …
Распаковывается plasma-wallpapers-addons (4:5.16.4-0xneon+18.04+bionic+build34) на замену (4:5.16.3-0xneon+18.04+bionic+build33) …
Подготовка к распаковке …/01-plasma-runners-addons_4%3a5.16.4-0xneon+18.04+bionic+build34_amd64.deb …
Распаковывается plasma-runners-addons (4:5.16.4-0xneon+18.04+bionic+build34) на замену (4:5.16.3-0xneon+18.04+bionic+build33) …
Подготовка к распаковке …/02-plasma-desktop-data_4%3a5.16.4-0xneon+18.04+bionic+build53_all.deb …
Распаковывается plasma-desktop-data (4:5.16.4-0xneon+18.04+bionic+build53) на замену (4:5.16.3-0xneon+18.04+bionic+build52) …
Подготовка к распаковке …/03-plasma-dataengines-addons_4%3a5.16.4-0xneon+18.04+bionic+build34_amd64.deb …
Распаковывается plasma-dataengines-addons (4:5.16.4-0xneon+18.04+bionic+build34) на замену (4:5.16.3-0xneon+18.04+bionic+build33) …
Подготовка к распаковке …/04-plasma-calendar-addons_4%3a5.16.4-0xneon+18.04+bionic+build34_amd64.deb …
Распаковывается plasma-calendar-addons (4:5.16.4-0xneon+18.04+bionic+build34) на замену (4:5.16.3-0xneon+18.04+bionic+build33) …
Подготовка к распаковке …/05-kwin-addons_4%3a5.16.4-0xneon+18.04+bionic+build34_amd64.deb …
Распаковывается kwin-addons (4:5.16.4-0xneon+18.04+bionic+build34) на замену (4:5.16.3-0xneon+18.04+bionic+build33) …
Подготовка к распаковке …/06-kdeplasma-addons-data_4%3a5.16.4-0xneon+18.04+bionic+build34_all.deb …
Распаковывается kdeplasma-addons-data (4:5.16.4-0xneon+18.04+bionic+build34) на замену (4:5.16.3-0xneon+18.04+bionic+build33) …
Подготовка к распаковке …/07-ktorrent-data_5.1.1-0xneon+18.04+bionic+build13_all.deb …
Распаковывается ktorrent-data (5.1.1-0xneon+18.04+bionic+build13) на замену (5.1.1-0xneon+18.04+bionic+build12) …
Подготовка к распаковке …/08-libphonon4qt5-4_4%3a4.10.3-0xneon+18.04+bionic+build7_amd64.deb …
Распаковывается libphonon4qt5-4:amd64 (4:4.10.3-0xneon+18.04+bionic+build7) на замену (4:4.10.2-0xneon+18.04+bionic+build5) …
Подготовка к распаковке …/09-libvlccore9_3.0.7.1-0ubuntu18.04.1_amd64.deb …
Распаковывается libvlccore9:amd64 (3.0.7.1-0ubuntu18.04.1) на замену (3.0.4-1ubuntu0.2) …
Подготовка к распаковке …/10-libvlc5_3.0.7.1-0ubuntu18.04.1_amd64.deb …
Распаковывается libvlc5:amd64 (3.0.7.1-0ubuntu18.04.1) на замену (3.0.4-1ubuntu0.2) …
Подготовка к распаковке …/11-vlc-bin_3.0.7.1-0ubuntu18.04.1_amd64.deb …
Распаковывается vlc-bin (3.0.7.1-0ubuntu18.04.1) на замену (3.0.4-1ubuntu0.2) …
Подготовка к распаковке …/12-libvlc-bin_3.0.7.1-0ubuntu18.04.1_amd64.deb …
Распаковывается libvlc-bin:amd64 (3.0.7.1-0ubuntu18.04.1) на замену (3.0.4-1ubuntu0.2) …
Подготовка к распаковке …/13-phonon_4%3a4.10.3-0xneon+18.04+bionic+build7_amd64.deb …
Распаковывается phonon:amd64 (4:4.10.3-0xneon+18.04+bionic+build7) на замену (4:4.10.2-0xneon+18.04+bionic+build5) …
Подготовка к распаковке …/14-powerdevil-data_4%3a5.16.4-0xneon+18.04+bionic+build35_all.deb …
Распаковывается powerdevil-data (4:5.16.4-0xneon+18.04+bionic+build35) на замену (4:5.16.3-0xneon+18.04+bionic+build34) …
Подготовка к распаковке …/15-vlc-plugin-base_3.0.7.1-0ubuntu18.04.1_amd64.deb …
Распаковывается vlc-plugin-base:amd64 (3.0.7.1-0ubuntu18.04.1) на замену (3.0.4-1ubuntu0.2) …
Подготовка к распаковке …/16-vlc-plugin-skins2_3.0.7.1-0ubuntu18.04.1_amd64.deb …
Распаковывается vlc-plugin-skins2:amd64 (3.0.7.1-0ubuntu18.04.1) на замену (3.0.4-1ubuntu0.2) …
Подготовка к распаковке …/17-vlc-plugin-qt_3.0.7.1-0ubuntu18.04.1_amd64.deb …
Распаковывается vlc-plugin-qt:amd64 (3.0.7.1-0ubuntu18.04.1) на замену (3.0.4-1ubuntu0.2) …
Подготовка к распаковке …/18-vlc-data_3.0.7.1-0ubuntu18.04.1_all.deb …
Распаковывается vlc-data (3.0.7.1-0ubuntu18.04.1) на замену (3.0.4-1ubuntu0.2) …
Настраивается пакет kdeplasma-addons-data (4:5.16.4-0xneon+18.04+bionic+build34) …
Настраивается пакет ktorrent-data (5.1.1-0xneon+18.04+bionic+build13) …
Обрабатываются триггеры для mime-support (3.60ubuntu1) …
Обрабатываются триггеры для desktop-file-utils (0.23-1ubuntu3.18.04.2) …
Настраивается пакет vlc-data (3.0.7.1-0ubuntu18.04.1) …
Настраивается пакет libphonon4:amd64 (4:4.10.3-0xneon+18.04+bionic+build7) …
Настраивается пакет powerdevil-data (4:5.16.4-0xneon+18.04+bionic+build35) …
Настраивается пакет kwin-addons (4:5.16.4-0xneon+18.04+bionic+build34) …
Настраивается пакет phonon-backend-gstreamer-common:amd64 (4:4.9.1-0xneon+18.04+bionic+build7) …
Настраивается пакет plasma-desktop-data (4:5.16.4-0xneon+18.04+bionic+build53) …
Настраивается пакет phonon-backend-gstreamer:amd64 (4:4.9.1-0xneon+18.04+bionic+build7) …
Обрабатываются триггеры для libc-bin (2.27-3ubuntu1) …
Настраивается пакет libvlccore9:amd64 (3.0.7.1-0ubuntu18.04.1) …
Настраивается пакет plasma-wallpapers-addons (4:5.16.4-0xneon+18.04+bionic+build34) …
Настраивается пакет plasma-runners-addons (4:5.16.4-0xneon+18.04+bionic+build34) …
Обрабатываются триггеры для man-db (2.8.3-2ubuntu0.1) …
Настраивается пакет libphonon4qt5-4:amd64 (4:4.10.3-0xneon+18.04+bionic+build7) …
Обрабатываются триггеры для dbus (1.12.2-1ubuntu1.1) …
Обрабатываются триггеры для hicolor-icon-theme (0.17-2) …
Настраивается пакет plasma-dataengines-addons (4:5.16.4-0xneon+18.04+bionic+build34) …
Настраивается пакет vlc-plugin-base:amd64 (3.0.7.1-0ubuntu18.04.1) …
Настраивается пакет plasma-calendar-addons (4:5.16.4-0xneon+18.04+bionic+build34) …
Настраивается пакет libvlc5:amd64 (3.0.7.1-0ubuntu18.04.1) …
Настраивается пакет vlc-plugin-qt:amd64 (3.0.7.1-0ubuntu18.04.1) …
Настраивается пакет phonon:amd64 (4:4.10.3-0xneon+18.04+bionic+build7) …
Настраивается пакет libvlc-bin:amd64 (3.0.7.1-0ubuntu18.04.1) …
Настраивается пакет vlc-plugin-skins2:amd64 (3.0.7.1-0ubuntu18.04.1) …
Настраивается пакет vlc-bin (3.0.7.1-0ubuntu18.04.1) …
Обрабатываются триггеры для libc-bin (2.27-3ubuntu1) …
Обрабатываются триггеры для libvlc-bin:amd64 (3.0.7.1-0ubuntu18.04.1) …

Решение MrTowelie » 12 авг 2019, 20:54
KOT040188 писал(а):
12 авг 2019, 19:59
Теперь-то уже поздно. Надо вернуть этот ppa и тогда это делать.
А тут ещё интересней, что точно такая же ситуация, если удаляться libvulkan1 70-ой версии из репов убунты. Это при том, что после удаления новой версиий весь указанный список пакетов на удаление был мною полностью переустановлен, в том числе и libvulkan1 нужной версии.
Зависимости пакета при этом:
libvulkan1
Зависит: libc6
Ломает: <vulkan-loader>
Заменяет: <vulkan-loader>
Обратные зависимости:
libvulkan1
Reverse Depends:
libvulkan-dev
mesa-vulkan-drivers
mesa-vulkan-drivers
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
vulkan-utils
mesa-vulkan-drivers
libvulkan-dev
gstreamer1.0-plugins-bad
vulkan-utils
mesa-vulkan-drivers
gstreamer1.0-plugins-bad
libplacebo4
libglfw3-wayland
libglfw3
apt remove не работает, apt purge тоже не сработало. Хм, удалось удалить с забиванием на все зависимости командой sudo dpkg --remove --force-depends libvulkan1 . В результате получился адекватный результат, всё, что предлагалось лишнее удалить, то работает и без него прекрасно, а ошибка возникла в трех пакетах, которые действительно связаны с vulkan, т.е. всё как надо. Далее просто переустановил libvulkan1 и ошибка в этих трех пакетах закономерно исчезла. Удалял, чтобы разобраться сработает или нет.
Вывод: такие подлые пакеты надо удалять через sudo dpkg --remove --force-depends [packagename], а потом уже разбираться, что реально с ними было связано.
Правда для меня, всё равно, остается загадкой, почему даже после новой переустановки, удаление этого пакета провоцирует удаление половины приложений kde, как будто внутри разработчика vulkan затесался ярый фанат гнома. Но это уже что-то вроде юмора.
Отмечу свое сообщение как решение, поскольку в практическом вопросе оно меня устраивает.

Перейти к ответу ➙

Аватара пользователя

darkfenix
Сообщения: 5710
Зарегистрирован: 27 июн 2017, 10:36
Решено: 62
Откуда: Нижний Тагил
Благодарил (а): 314 раз
Поблагодарили: 1054 раза

Удаление пакетов со странным набором зависимостей.

Сообщение darkfenix » 12 авг 2019, 03:12

Утверждать не буду, но мне видится тут только один вариант. Пакет, который ты удаляешь, является зависимостью для тех что предложены для удаления, т.к. используют библиотеку(и) из него. При обновлении все норм, а вот при удалении происходит то что ты видишь. Тут нужно было действовать тоньше. Удалить репы с новой версией пакета, и сделать даунгрейд пакета. Т.е. принудительно установить пакет той версии что есть в данный момент в твоих текущих подключенных репах.
Изображение

Аватара пользователя

KOT040188
Сообщения: 758
Зарегистрирован: 11 май 2017, 19:01
Предупреждения: 1
Решено: 5
1
Откуда: РБ
Благодарил (а): 13 раз
Поблагодарили: 35 раз

Удаление пакетов со странным набором зависимостей.

Сообщение KOT040188 » 12 авг 2019, 12:58

Потому что сторонние ppa и их пакеты нужно пуржить, а не удалять. Много раз сталкивался с такими граблями. В бубунтах это именно так работает корректно.
Вы думаете у котов лёгкая жизнь? А вы попробуйте целый день лизать меховую шапку!
Как бы хотелось однажды проснуться, а тебе 8 лет и вся эта херня просто приснилась…
Чудесный сон приснился мне когда-то… четыре грузчика несли мою зарплату.

Аватара пользователя

Автор темы
MrTowelie
Сообщения: 71
Зарегистрирован: 24 июл 2017, 06:01
Решено: 4
Благодарил (а): 4 раза
Поблагодарили: 15 раз

Удаление пакетов со странным набором зависимостей.

Сообщение MrTowelie » 12 авг 2019, 16:32

KOT040188 писал(а):
12 авг 2019, 12:58
Потому что сторонние ppa и их пакеты нужно пуржить, а не удалять. Много раз сталкивался с такими граблями. В бубунтах это именно так работает корректно.
Если ввожу sudo apt purge libvulkan1, то всё равно получаю это:
Следующие пакеты будут УДАЛЕНЫ:
dolphin* dragonplayer* gwenview* kdemultimedia-kio-plugins* khelpcenter* kinfocenter* kio-audiocd* kio-extras* konsole* ktorrent* libkf5compactdisc5* libkf5khtml-bin* libkf5khtml5* libkf5notifyconfig5* libokular5core9* libplacebo4* libvulkan1* mesa-vulkan-drivers* neon-desktop* okular* okular-extra-backends* phonon-backend-vlc* phonon4qt5* phonon4qt5-backend-vlc* plasma-desktop* plasma-widgets-addons* plasma-workspace* plasma-workspace-wayland* powerdevil* sddm-theme-breeze* systemsettings* vlc* vlc-plugin-video-output* vulkan-utils* yakuake*
Так что пуржить явно не вариант. Не понимаю, как один из пакетов вулкана может связываться с тем же файловым менеджером и окном настроек плазмы.

Аватара пользователя

KOT040188
Сообщения: 758
Зарегистрирован: 11 май 2017, 19:01
Предупреждения: 1
Решено: 5
1
Откуда: РБ
Благодарил (а): 13 раз
Поблагодарили: 35 раз

Удаление пакетов со странным набором зависимостей.

Сообщение KOT040188 » 12 авг 2019, 19:59

MrTowelie писал(а):
12 авг 2019, 16:32
Если ввожу sudo apt purge
Теперь-то уже поздно. Надо вернуть этот ppa и тогда это делать.
Вы думаете у котов лёгкая жизнь? А вы попробуйте целый день лизать меховую шапку!
Как бы хотелось однажды проснуться, а тебе 8 лет и вся эта херня просто приснилась…
Чудесный сон приснился мне когда-то… четыре грузчика несли мою зарплату.

Аватара пользователя

Автор темы
MrTowelie
Сообщения: 71
Зарегистрирован: 24 июл 2017, 06:01
Решено: 4
Благодарил (а): 4 раза
Поблагодарили: 15 раз

Удаление пакетов со странным набором зависимостей.

Сообщение MrTowelie » 12 авг 2019, 20:54

KOT040188 писал(а):
12 авг 2019, 19:59
Теперь-то уже поздно. Надо вернуть этот ppa и тогда это делать.
А тут ещё интересней, что точно такая же ситуация, если удаляться libvulkan1 70-ой версии из репов убунты. Это при том, что после удаления новой версиий весь указанный список пакетов на удаление был мною полностью переустановлен, в том числе и libvulkan1 нужной версии.
Зависимости пакета при этом:
libvulkan1
Зависит: libc6
Ломает: <vulkan-loader>
Заменяет: <vulkan-loader>
Обратные зависимости:
libvulkan1
Reverse Depends:
libvulkan-dev
mesa-vulkan-drivers
mesa-vulkan-drivers
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-staging-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
wine-devel-amd64
vulkan-utils
mesa-vulkan-drivers
libvulkan-dev
gstreamer1.0-plugins-bad
vulkan-utils
mesa-vulkan-drivers
gstreamer1.0-plugins-bad
libplacebo4
libglfw3-wayland
libglfw3
apt remove не работает, apt purge тоже не сработало. Хм, удалось удалить с забиванием на все зависимости командой sudo dpkg --remove --force-depends libvulkan1 . В результате получился адекватный результат, всё, что предлагалось лишнее удалить, то работает и без него прекрасно, а ошибка возникла в трех пакетах, которые действительно связаны с vulkan, т.е. всё как надо. Далее просто переустановил libvulkan1 и ошибка в этих трех пакетах закономерно исчезла. Удалял, чтобы разобраться сработает или нет.
Вывод: такие подлые пакеты надо удалять через sudo dpkg --remove --force-depends [packagename], а потом уже разбираться, что реально с ними было связано.
Правда для меня, всё равно, остается загадкой, почему даже после новой переустановки, удаление этого пакета провоцирует удаление половины приложений kde, как будто внутри разработчика vulkan затесался ярый фанат гнома. Но это уже что-то вроде юмора.
Отмечу свое сообщение как решение, поскольку в практическом вопросе оно меня устраивает.

Вернуться в «Параметры и оптимизация»